Bug 208166 - CVE-2006-4980 repr unicode buffer overflow
CVE-2006-4980 repr unicode buffer overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 14:20 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.4.3-9.FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 11:17:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-09-26 14:20:23 EDT
+++ This bug was initially created as a clone of Bug #208162 +++

A bug in the way python's repr function handles certain unicode objects.  repr
mistakenly assumes that all unicode characters will be 6 characters in length
(UTF-16) when it is possible for some strings to use wide characters (UTF-32) to
overflow a buffer.

There is more information in the Ubuntu bug:
https://launchpad.net/distros/ubuntu/+source/python2.4/+bug/56633

and the upstream bug:
http://sourceforge.net/tracker/index.php?aid=1541585&group_id=5470&atid=305470&func=detail
Comment 1 Fedora Update System 2006-10-24 15:32:27 EDT
python-2.4.3-9.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Fedora Update System 2006-11-06 15:34:57 EST
python-2.4.3-9.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.